= tlsrpt_cancel_delivery_request(3)
Boris Lohner
v0.5.0
:doctype: manpage
:manmanual: tlsrpt_cancel_delivery_request
:mansource: tlsrpt_cancel_delivery_request
:man-linkstyle: pass:[blue R < >]

== Name

tlsrpt_cancel_delivery_request - marks the delivery request as cancelled

== Synopsis

#include <tlsrpt.h>

int tlsrpt_cancel_delivery_request(struct tlsrpt_dr_t** pdr)

== Description

The `tlsrpt_cancel_delivery_request` function marks the delivery request as cancelled.
This is done by an internal library "dummy error" `TLSRPT_ERR_TLSRPT_CANCELLED` which, like all errors, will prevent the delivery request from being sent out.
The function then calls `tlsrpt_finish_delivery_request`, which will do all the clean-up of used resources.



== Return value

The tlsrpt_cancel_delivery_request function returns 0 on success and a combined error code on failure.
The combined error code can be analyzed with the _tlsrpt_strerror_ function.

== See also
man:tlsrpt_init_delivery_request[3], man:tlsrpt_finish_delivery_request[3], man:tlsrpt_strerror[3], man:tlsrpt_error_code_is_internal[3]






